<?php

$entries = array(
  'EAGLES' => array(
    'part' => 'Country Rock',
    'definition' => 'Eagles -  -,    -  -.',
    'quote' => array(
      '      (1971-81)     -  (Billboard Hot 100)   - - .',
      '    <Their Greatest Hits 1971-1975>,   1976 ,     29   (     RIAA )           .',
      '       65 000 000   ,           ,   The Beatles  Led Zeppelin.',
    ),
    'author' => 'http://ru.wikipedia.org/wiki/Eagles',
  ),
  'EARTH AND FIRE' => array(
    'part' => 'Pop Rock',
    'definition' => 'Earth and Fire -         -,   1968      .',
  ),
  'EKSEPTION' => array(
    'part' => 'Progressive',
    'definition' => 'Ekseption  -  --   .',
  ),
  'ELECTRA' => array(
    'part' => 'Art Rock',
    'definition' => 'Electra ( Electra-Combo) - -  ,     1969         .',
  ),
  'ELF' => array(
    'part' => 'Hard Rock',
    'definition' => 'Elf ( 1967-1968  - Electric Elves,  1968-1969  - The Elves) -  -.        -   .',
  ),
  'ELIS' => array(
    'part' => 'Gothic',
    'definition' => 'Elis -    ,   2003     ..',
    'quote' => array(
      '   - Erben der Schopfung.',
      '  ,      ,        (27  1977 - 8  2006).',
      ' 2001      "Elis",      "Twilight".',
      '    ,      ,       ..',
    ),
    'author' => 'http://ru.wikipedia.org/wiki/Elis',
  ),
  'ELP' => array(
    'part' => 'Progressive',
    'definition' => 'Emerson, Lake & Palmer ( ELP) -  -   ,   1969 ,      :  ,     .',
  ),
  'ENCHANT' => array(
    'part' => 'Prog Rock',
    'definition' => 'Enchant -     -,     -   -  1989 .',
  ),
  'EPICA' => array(
    'part' => 'Gothic Metal',
    'definition' => 'Epica -  ,     -.',
  ),
  'EVANESCENCE' => array(
    'part' => 'Gothic Metal',
    'definition' => 'Evanescence (. ) -  -,   1996        .',
    'quote' => array(
      '      2003    Fallen.',
      'Fallen    15      2  .',
      '  2004 .     Evanescence, Anywhere but Home.',
      ' 2006 .    , The Open Door,     6  .',
    ),
  ),
  'EVEREVE' => array(
    'part' => 'Dark Metal',
    'definition' => 'EverEve -    ,      -   ,     -    .',
  ),
);

if (isset($entries[strtoupper($_REQUEST['term'])])) {
  $entry = $entries[strtoupper($_REQUEST['term'])];
  
  $html = '<div class="entry">';

  $html .= '<h3 class="term">';
  $html .= strtoupper($_REQUEST['term']);
  $html .= '</h3>';

  $html .= '<div class="part">';
  $html .= $entry['part'];
  $html .= '</div>';

  $html .= '<div class="definition">';
  $html .= $entry['definition'];
  if (isset($entry['quote'])) {
    $html .= '<div class="quote">';
    foreach ($entry['quote'] as $line) {
      $html .= '<div class="quote-line">'. $line .'</div>';
    }
    if (isset($entry['author'])) {
      $html .= '<div class="quote-author">'. $entry['author'] .'</div>';
    }      
    $html .= '</div>';
  }
  $html .= '</div>';
  
  $html .= '</div>';
  
  print($html);
}
?>